org.deidentifier.arx.gui.view.impl.menu

## Class EditorCriterionProfitability

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.EditorCriterion<ModelProfitabilityCriterion>
  - - org.deidentifier.arx.gui.view.impl.menu.EditorCriterionProfitability

    public class EditorCriterionProfitability
    extends EditorCriterion<ModelProfitabilityCriterion>

Editor for the profitability privacy model

Author:
  James Gaupp, Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`EditorCriterionProfitability(org.eclipse.swt.widgets.Composite parent, ModelProfitabilityCriterion model)` Creates a new instance

### Method Summary

### Methods inherited from class org.deidentifier.arx.gui.view.impl.menu.EditorCriterion

`dispose, getModel, parseDefault`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditorCriterionProfitability

    public EditorCriterionProfitability(org.eclipse.swt.widgets.Composite parent,
                                        ModelProfitabilityCriterion model)

Creates a new instance

Parameters:
  `parent` -
  `model` -